#comet.tcl  -*- TCL -*-
#---------------------------------------------------------------------------
#This file is written in TCL lenguage 
#For more information about TCL look at: http://www.sunlabs.com/research/tcl/
#
#At least two procs must be in this file:
#
#    InitGIDProject dir - Will be called whenever a project is begun to be used.
#           where dir is the project's directory
#    EndGIDProject - Will be called whenever a project ends to be used.
#
#For more information about GID internals, check the program scripts.
#---------------------------------------------------------------------------



proc InitGIDProject { dir } {
    global NumMenus MenuNames MenuEntries MenuCommands MenuAcceler

    set NumMenus 7
    set MenuNames {Files View Geometry Utilities Data Generation Calculate Unigraphics \
	    Help}
    
    set MenuEntries(8) $MenuEntries(7)
    set MenuCommands(8) $MenuCommands(7)
    set MenuAcceler(8) $MenuAcceler(7)
    
    set MenuEntries(7) { "Read mesh" }
    set MenuCommands(7) { {-np- LoadUniFileToGid mechanical} }
    set MenuAcceler(7) { "" }
    CreateTopMenus
    source $dir/Uni2Gid.tcl
}

proc EndGIDProject {} {
}

